﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BIZ_LOG') 
 CREATE TABLE T_AQAP_BIZ_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPDESC VARCHAR(200) DEFAULT ' ' NOT NULL,
FOPDATE DATETIME NULL,
FBIZ_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANK_VERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANK_LOGIN VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZ_SEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOGGER_BATCH_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOGGER_DETAIL_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOG_TIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDT_QUERY DATETIME NULL,
FLOGGER_BANK_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOGGER_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOG_CONTENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FLOG_CONTENT_TAG NCLOB NULL
);



 EXEC P_ALTERPK 'PK_AQAP_BIZ_LOG', 'T_AQAP_BIZ_LOG', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_AQAP_BIZ_LOG_TYPE') CREATE INDEX T_AQAP_BIZ_LOG_TYPE ON T_AQAP_BIZ_LOG ( FLOGGER_TYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_AQAP_BIZ_LOG_BIZ') CREATE INDEX T_AQAP_BIZ_LOG_BIZ ON T_AQAP_BIZ_LOG ( FBIZ_NAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_BIZ_LOG_LOGGER') CREATE INDEX IDX_AQAP_BIZ_LOG_LOGGER ON T_AQAP_BIZ_LOG ( FLOGGER_BATCH_NO ,FLOGGER_BANK_NO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CLUSTER_AQAP_BIZ_LOG') CREATE  CLUSTERED INDEX IDX_CLUSTER_AQAP_BIZ_LOG ON T_AQAP_BIZ_LOG ( FUSERNAME );

