IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BALANCE_REC_DETAIL')
 CREATE TABLE T_AQAP_BALANCE_REC_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FSUBMIT_SUCCESS_TIME DATETIME,
FACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSYNC_DATE DATETIME,
FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECK_STATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FHANDLE_STATUS INT DEFAULT 0 NOT NULL,
FSTATUS_ID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANK_STATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANK_STATUS_MSG VARCHAR(200) DEFAULT ' ' NOT NULL,
FFLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILE_PATH VARCHAR(255) DEFAULT ' ' NOT NULL,
FRESERVED1 VARCHAR(100) DEFAULT ' ' NOT NULL,
FRESERVED2 VARCHAR(100) DEFAULT ' ' NOT NULL,
FRESERVED3 VARCHAR(100) DEFAULT ' ' NOT NULL,
FREVERSED_BIZ_FIELD VARCHAR(600) DEFAULT ' ' NOT NULL,
FREVERSED_SYS_FIELD VARCHAR(600) DEFAULT ' ' NOT NULL,
FBANK_VERSION BIGINT DEFAULT 0 NOT NULL,
FBANK_LOGIN BIGINT DEFAULT 0 NOT NULL,
FACC_ID BIGINT DEFAULT 0 NOT NULL,
FCURRENCY_ID BIGINT DEFAULT 0 NOT NULL,
FOPERATOR VARCHAR(50) DEFAULT ' ' NOT NULL,
FBACK_STATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FREASON VARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMBOFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSION INT DEFAULT 0 NOT NULL,
FSTATEMENT_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
FHANDLE_NUM INT DEFAULT 0 NOT NULL,
FBANK_VERSION_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANK_LOGIN_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBALANCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMONTH VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BALANCE_REC_RECORD')
 CREATE TABLE T_AQAP_BALANCE_REC_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE INT DEFAULT 0 NOT NULL,
FSYNC_COUNT INT DEFAULT 0 NOT NULL,
FCURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSYNC_DATE DATETIME
);



 EXEC P_ALTERPK 'PK_T_AQAP_BALANCE_REC_DETAIL', 'T_AQAP_BALANCE_REC_DETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'UNIDX_BALANCE_REC_DETAIL') CREATE UNIQUE INDEX UNIDX_BALANCE_REC_DETAIL ON T_AQAP_BALANCE_REC_DETAIL ( FACC_NO ,FCURRENCY ,FSYNC_DATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REC_DETAIL__FCURRENCY') CREATE INDEX IDX_REC_DETAIL__FCURRENCY ON T_AQAP_BALANCE_REC_DETAIL ( FCURRENCY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REC_DETAIL_FSYNCDATE') CREATE INDEX IDX_REC_DETAIL_FSYNCDATE ON T_AQAP_BALANCE_REC_DETAIL ( FSYNC_DATE );


 EXEC P_ALTERPK 'PK_T_AQAP_BALANCE_REC_RECORD', 'T_AQAP_BALANCE_REC_RECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'UNIDX_BALANCE_REC_RECORD') CREATE UNIQUE INDEX UNIDX_BALANCE_REC_RECORD ON T_AQAP_BALANCE_REC_RECORD ( FACC_NO ,FCURRENCY ,FSYNC_DATE );





