-- 屏蔽掉，此处只是用来处理历史数据的
--IF EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_AQAP_BANK_SUPPORT_LIST_FBANK_UINDEX')
--DROP INDEX T_AQAP_BANK_SUPPORT_LIST_FBANK_UINDEX;

-- 新增银行支持清单表：t_aqap_bank_support_list
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_SUPPORT_LIST')
CREATE TABLE T_AQAP_BANK_SUPPORT_LIST
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FGROUPID BIGINT NULL,
	FBANK BIGINT NULL,
	CONSTRAINT T_AQAP_BANK_SUPPORT_LIST_INDEX
		UNIQUE (FBANK)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_AQAP_BANK_SUPPORT_LIST_INDEX') 
CREATE UNIQUE INDEX T_AQAP_BANK_SUPPORT_LIST_INDEX ON T_AQAP_BANK_SUPPORT_LIST (FBANK);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_SUPPORT_LIST_L')
CREATE TABLE T_AQAP_BANK_SUPPORT_LIST_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_BANK_SUPPORT_LIST_L_0')
CREATE UNIQUE INDEX IDX_AQAP_BANK_SUPPORT_LIST_L_0 ON T_AQAP_BANK_SUPPORT_LIST_L (FID, FLOCALEID);

-- 新增银行支持清单关联表：法人银行
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_CORPORATION')
CREATE TABLE T_AQAP_BANK_CORPORATION
(
	FID BIGINT NOT NULL,
	FENTRYID BIGINT NOT NULL
		PRIMARY KEY,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FCORPORATION VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_BANK_CORPORATION_FK')
CREATE INDEX IDX_AQAP_BANK_CORPORATION_FK ON T_AQAP_BANK_CORPORATION (FID);



-- 新增银行性质表：t_aqap_bank_type
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_TYPE')
CREATE TABLE T_AQAP_BANK_TYPE
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_TYPE_L')
CREATE TABLE T_AQAP_BANK_TYPE_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_BANK_TYPE_L_0')
CREATE UNIQUE INDEX IDX_AQAP_BANK_TYPE_L_0 ON T_AQAP_BANK_TYPE_L (FID, FLOCALEID);

