IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_CAFINFO')
create table t_aqap_bank_cafinfo
(
    FID                  bigint                   not null
        primary key,
    fnumber              varchar(30)  default ' ' not null,
    fname                varchar(50)  default ' ' not null,
    fstatus              varchar(50)  default ' ' not null,
    fcreatorid           bigint                   null,
    fmodifierid          bigint                   null,
    fenable              varchar(50)  default ' ' not null,
    fcreatetime          datetime                 null,
    fmodifytime          datetime                 null,
    fmasterid            bigint                   null,
    fbiz_type            varchar(50)  default ' ' not null,
    fimpl_class          varchar(100) default ' ' not null,
    fdetail_seq          varchar(50)  default ' ' not null,
    ffixed_acc           varchar(50)  default ' ' not null,
    finftyp              varchar(50)  default ' ' not null,
    fcur_acc             varchar(50)  default ' ' not null,
    famount              varchar(50)  default ' ' not null,
    fexplanation         varchar(100) default ' ' not null,
    fdraw_type           varchar(50)  default ' ' not null,
    fcur_name            varchar(50)  default ' ' not null,
    fbank_name           varchar(50)  default ' ' not null,
    fbank_no             varchar(50)  default ' ' not null,
    ffixed_name          varchar(50)  default ' ' not null,
    ffixed_bank_name     varchar(50)  default ' ' not null,
    ffixed_bank_no       varchar(50)  default ' ' not null,
    fdeposit_term        varchar(50)  default ' ' not null,
    fnext_deposit        varchar(50)  default ' ' not null,
    fnext_term           varchar(50)  default ' ' not null,
    fcurrency            varchar(50)  default ' ' not null,
    fbank_version        varchar(50)  default ' ' not null,
    fcustomid            varchar(50)  default ' ' not null,
    fbatch_seq_id        varchar(50)  default ' ' not null,
    fdetail_seq_id       varchar(50)  default ' ' not null,
    fdetail_biz_no       varchar(50)  default ' ' not null,
    freqnbr              varchar(50)  default ' ' not null,
    fback_bank_status    varchar(50)  default ' ' not null,
    fbank_login          varchar(50)  default ' ' not null,
    faccbal              varchar(50)  default ' ' not null,
    ftrantime            datetime                 null,
    ftrandate            datetime                 null,
    fopendate            varchar(50)  default ' ' not null,
    fclosedate           varchar(50)  default ' ' not null,
    fratedate            varchar(50)  default ' ' not null,
    fendintdate          varchar(50)  default ' ' not null,
    fenddate             varchar(50)  default ' ' not null,
    fexpireop            varchar(50)  default ' ' not null,
    frate                varchar(50)  default ' ' not null,
    ffixint              varchar(50)  default ' ' not null,
    ffixtaxint           varchar(50)  default ' ' not null,
    ffixactint           varchar(50)  default ' ' not null,
    fcloseint            varchar(50)  default ' ' not null,
    fstatus_msg          varchar(255) default ' ' not null,
    fstatus_name         varchar(50)  default ' ' not null,
    fbank_status         varchar(50)  default ' ' not null,
    fbank_status_msg     varchar(255) default ' ' not null,
    finsert_time         datetime                 null,
    fupdate_time         datetime                 null,
    fsubmit_success_time datetime                 null,
    ferror_msg           varchar(750) default ' ' not null,
    fbank_msg            varchar(750) default ' ' not null,
    fback_error_msg      varchar(750) default ' ' not null,
    freserve1            varchar(750) default ' ' not null,
    freserve2            varchar(750) default ' ' not null,
    fversion             bigint                   null,
    fnotify_id           varchar(50)  default ' ' not null,
    fprice_no            varchar(50)  default ' ' not null,
    constraint IDX_AQAP_BIZ_NO_STATUS_UINDEX
        unique (fdetail_biz_no, fstatus)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_CAF_BATCH_SEQ')
create index IDX_AQAP_CAF_BATCH_SEQ
    on t_aqap_bank_cafinfo (fbatch_seq_id);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_CUR_ACC_INDEX')
create index IDX_AQAP_CUR_ACC_INDEX
    on t_aqap_bank_cafinfo (fcur_acc);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_FIXED_ACC_INDEX')
create index IDX_AQAP_FIXED_ACC_INDEX
    on t_aqap_bank_cafinfo (ffixed_acc);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_NOTIFY_ID_INDEX')
create index IDX_AQAP_NOTIFY_ID_INDEX
    on t_aqap_bank_cafinfo (fnotify_id);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_CAFINFO_L')
create table t_aqap_bank_cafinfo_l
(
    FPKID     varchar(36)             not null
        primary key,
    FID       bigint                  not null,
    FLocaleID varchar(10)             not null,
    fname     varchar(50) default ' ' not null
);


IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'idx_aqap_bank_cafinfo_L_0')
create index idx_aqap_bank_cafinfo_L_0
    on t_aqap_bank_cafinfo_l (FID, FLocaleID);