IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_REQ_RECORD') 
CREATE TABLE T_AQAP_BANK_REQ_RECORD
(
    FID             BIGINT                   NOT NULL
        PRIMARY KEY,
    FNUMBER         VARCHAR(30)  DEFAULT ' ' NOT NULL,
    FSTATUS         VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCREATORID      BIGINT                   NULL,
    FMODIFIERID     BIGINT                   NULL,
    FENABLE         VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCREATETIME     DATETIME                 NULL,
    FMODIFYTIME     DATETIME                 NULL,
    FMASTERID       BIGINT                   NULL,
    FBIZ_TYPE       VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FREQ_NUMBER     VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBLOCK_MILLIS   BIGINT                   NULL,
    FWAIT_LOCK_TIME DATETIME                 NULL,
    FGET_LOCK_TIME  DATETIME                 NULL,
    FBLOCK_FLAG     VARCHAR(10)  DEFAULT ' ' NOT NULL,
    FPROCESS_MILLIS BIGINT                   NULL,
    FEXT_DATA       VARCHAR(600) DEFAULT ' ' NOT NULL,
    FCUSTOM_ID      VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBANK_LOGIN_ID  VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBANK_VERSION   VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FLOCK_NUM       BIGINT       DEFAULT 1   NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_BANK_REQ_RECORD_0') 
CREATE INDEX IDX_AQAP_BANK_REQ_RECORD_0
    ON T_AQAP_BANK_REQ_RECORD (FWAIT_LOCK_TIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_REQ_RECORD_L') 
CREATE TABLE T_AQAP_BANK_REQ_RECORD_L
(
    FPKID     VARCHAR(36)             NOT NULL
        PRIMARY KEY,
    FID       BIGINT                  NOT NULL,
    FLOCALEID VARCHAR(10)             NOT NULL,
    FNAME     VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_REQ_RECORD_R3') 
CREATE TABLE T_AQAP_BANK_REQ_RECORD_R3
(
    FID        BIGINT DEFAULT 0   NOT NULL
        PRIMARY KEY,
    FREFSTATUS CHAR(1)   DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_BANK_REQ_RECORD_L_0') 
CREATE INDEX IDX_AQAP_BANK_REQ_RECORD_L_0
    ON T_AQAP_BANK_REQ_RECORD_L (FID, FLOCALEID);

